import request from '@/utils/request'

//lanbm 2024-03-31 add
// 创建测试
export function createTest(data) {
  return request({
    url: '/SalesAnalysis/test/create',
    method: 'post',
    data: data
  })
}

// 更新测试
export function updateTest(data) {
  return request({
    url: '/SalesAnalysis/test/update',
    method: 'put',
    data: data
  })
}

// 删除测试
export function deleteTest(id) {
  return request({
    url: '/SalesAnalysis/test/delete?id=' + id,
    method: 'delete'
  })
}

// 获得测试
export function getTest(id) {
  return request({
    url: '/SalesAnalysis/test/get?id=' + id,
    method: 'get'
  })
}

// 获得测试分页
export function getTestPage(query) {
  return request({
    url: '/SalesAnalysis/test/page',
    method: 'get',
    params: query
  })
}

// 导出测试 Excel
export function exportTestExcel(query) {
  return request({
    url: '/SalesAnalysis/test/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
